fcrosWrite {fcros} | R Documentation

## Writing the fcros() or pfco() results in a tab delimited text file

### Description

This function creates a tab-delimited text file with the results of the function fcros(), fcros2(), fcrosMod(), pfco() or pfcoMod(). The results are the values associated with the parameters "idnames", "ri", "FC", "FC2", "f.value" and "p.value".

### Usage

    fcrosWrite(af, file = "fcrosResults.txt", thr = 1)

### Arguments

`af` | An output object of the functions fcros(), fcros2(), fcrosMod(), pfco() or pfcoMod(): `af = fcros(xdata, cont, test, log2.opt, trim.opt)` `af = pfco(xdata, cont, test, log2.opt, trim.opt)`
`file` | The output file name: `file = "fcrosResults.txt"`
`thr` | A threshold allowing to filter data based on p-values. Default setting is 1 (no filtering) `thr = 1`

### Value

This function creates and saves a tab-delimited text file on the disk.

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### Examples

        data(fdata);

        rownames(fdata) <- fdata[,1];
        cont <- c("cont01", "cont07", "cont03", "cont04", "cont08");
        test <- c("test01", "test02", "test08", "test09", "test05");
        log2.opt <- 0;
        trim.opt <- 0.25;
        af <- fcros(fdata, cont, test, log2.opt, trim.opt);
        af2 <- pfco(fdata, cont, test, log2.opt, trim.opt);

        fcrosWrite(af, file = "test2delete_values.txt");
        fcrosWrite(af2, file = "test2delete2_values.txt");

[Package fcros version 1.6.1 Index]